freemarker.ext.jsp

## Class FreemarkerTag

- java.lang.Object
- - freemarker.ext.jsp.FreemarkerTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class FreemarkerTag
    extends Object
    implements javax.servlet.jsp.tagext.BodyTag

Simple implementation of JSP tag to allow use of FreeMarker templates in JSP. Inspired by similar class in Velocity template engine developed by Geir Magnusson Jr.

### Field Summary

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
Constructor and Description
`FreemarkerTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doAfterBody()`
`int` `doEndTag()`
`void` `doInitBody()`
`int` `doStartTag()`
`boolean` `getCaching()`
`javax.servlet.jsp.tagext.Tag` `getParent()`
`void` `release()`
`void` `setBodyContent(javax.servlet.jsp.tagext.BodyContent bodyContent)`
`void` `setCaching(boolean caching)`
`void` `setName(String name)`
`void` `setPageContext(javax.servlet.jsp.PageContext pageContext)`
`void` `setParent(javax.servlet.jsp.tagext.Tag parent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FreemarkerTag

    public FreemarkerTag()

### Method Detail

#### getCaching

    public boolean getCaching()

#### setCaching

    public void setCaching(boolean caching)

#### setName

    public void setName(String name)

#### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

Specified by:
  `getParent` in interface `javax.servlet.jsp.tagext.Tag`

#### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag parent)

Specified by:
  `setParent` in interface `javax.servlet.jsp.tagext.Tag`

#### doStartTag

    public int doStartTag()

Specified by:
  `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`

#### setBodyContent

    public void setBodyContent(javax.servlet.jsp.tagext.BodyContent bodyContent)

Specified by:
  `setBodyContent` in interface `javax.servlet.jsp.tagext.BodyTag`

#### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pageContext)

Specified by:
  `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`

#### doInitBody

    public void doInitBody()

Specified by:
  `doInitBody` in interface `javax.servlet.jsp.tagext.BodyTag`

#### doAfterBody

    public int doAfterBody()

Specified by:
  `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`

#### release

    public void release()

Specified by:
  `release` in interface `javax.servlet.jsp.tagext.Tag`

#### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Throws:
  `javax.servlet.jsp.JspException`